Bug 658955 - core dump when using example script
Summary: core dump when using example script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyPAM
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 670867 (view as bug list)
Depends On:
Blocks: 670932
TreeView+ depends on / blocked
 
Reported: 2010-12-01 17:30 UTC by Joey Boggs
Modified: 2011-02-22 20:47 UTC (History)
3 users (show)

Fixed In Version: PyPAM-0.5.0-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 670932 (view as bug list)
Environment:
Last Closed: 2011-01-19 16:55:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 679557 None None None Never

Internal Links: 679557

Description Joey Boggs 2010-12-01 17:30:05 UTC
Description of problem:
authentication will pass/fail successfully but there is a backtrace each time

python /usr/share/doc/PyPAM-0.5.0/examples/pamtest.py root
<pam object, service="login", user="(null)", conv=0x1cb0980, pamh=0x1cb52a0>
Password: 
Go away! (Error in service module)
*** glibc detected *** python: free(): invalid pointer: 0x00007ff153856d50 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3344e78e53]
/usr/lib64/libpython2.7.so.1.0[0x3351682187]
/usr/lib64/libpython2.7.so.1.0(PyDict_SetItem+0x70)[0x3351684bf0]
/usr/lib64/libpython2.7.so.1.0(_PyModule_Clear+0x13c)[0x335168886c]
/usr/lib64/libpython2.7.so.1.0(PyImport_Cleanup+0x18f)[0x33516fb40f]
/usr/lib64/libpython2.7.so.1.0(Py_Finalize+0x115)[0x33517084e5]
/usr/lib64/libpython2.7.so.1.0(Py_Main+0x52c)[0x33517192dc]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3344e1ee7d]
python[0x400649]
======= Memory map: ========
00400000-00401000 r-xp 00000000 fd:01 1846460                            /usr/bin/python
00600000-00602000 rw-p 00000000 fd:01 1846460                            /usr/bin/python
01b84000-01cef000 rw-p 00000000 00:00 0                                  [heap]
3344600000-3344621000 r-xp 00000000 fd:01 2097156                        /lib64/ld-2.12.90.so
3344820000-3344821000 r--p 00020000 fd:01 2097156                        /lib64/ld-2.12.90.so
3344821000-3344822000 rw-p 00021000 fd:01 2097156                        /lib64/ld-2.12.90.so
3344822000-3344823000 rw-p 00000000 00:00 0 
3344a00000-3344b06000 r-xp 00000000 fd:01 2097182                        /lib64/libglib-2.0.so.0.2600.0
3344b06000-3344d05000 ---p 00106000 fd:01 2097182                        /lib64/libglib-2.0.so.0.2600.0
3344d05000-3344d06000 rw-p 00105000 fd:01 2097182                        /lib64/libglib-2.0.so.0.2600.0
3344d06000-3344d07000 rw-p 00000000 00:00 0 
3344e00000-3344f9a000 r-xp 00000000 fd:01 2097168                        /lib64/libc-2.12.90.so
3344f9a000-3345199000 ---p 0019a000 fd:01 2097168                        /lib64/libc-2.12.90.so
3345199000-334519d000 r--p 00199000 fd:01 2097168                        /lib64/libc-2.12.90.so
334519d000-334519e000 rw-p 0019d000 fd:01 2097168                        /lib64/libc-2.12.90.so
334519e000-33451a4000 rw-p 00000000 00:00 0 
3345200000-3345218000 r-xp 00000000 fd:01 2097169                        /lib64/libpthread-2.12.90.so
3345218000-3345417000 ---p 00018000 fd:01 2097169                        /lib64/libpthread-2.12.90.so
3345417000-3345418000 r--p 00017000 fd:01 2097169                        /lib64/libpthread-2.12.90.so
3345418000-3345419000 rw-p 00018000 fd:01 2097169                        /lib64/libpthread-2.12.90.so
3345419000-334541d000 rw-p 00000000 00:00 0 
3345600000-3345684000 r-xp 00000000 fd:01 2097219                        /lib64/libm-2.12.90.so
3345684000-3345883000 ---p 00084000 fd:01 2097219                        /lib64/libm-2.12.90.so
3345883000-3345884000 r--p 00083000 fd:01 2097219                        /lib64/libm-2.12.90.so
3345884000-3345885000 rw-p 00084000 fd:01 2097219                        /lib64/libm-2.12.90.so
3345a00000-3345a02000 r-xp 00000000 fd:01 2097189                        /lib64/libdl-2.12.90.so
3345a02000-3345c02000 ---p 00002000 fd:01 2097189                        /lib64/libdl-2.12.90.so
3345c02000-3345c03000 r--p 00002000 fd:01 2097189                        /lib64/libdl-2.12.90.so
3345c03000-3345c04000 rw-p 00003000 fd:01 2097189                        /lib64/libdl-2.12.90.so
3345e00000-3345e16000 r-xp 00000000 fd:01 2097209                        /lib64/libz.so.1.2.5
3345e16000-3346016000 ---p 00016000 fd:01 2097209                        /lib64/libz.so.1.2.5
3346016000-3346017000 rw-p 00016000 fd:01 2097209                        /lib64/libz.so.1.2.5
3346200000-3346207000 r-xp 00000000 fd:01 2097181                        /lib64/librt-2.12.90.so
3346207000-3346407000 ---p 00007000 fd:01 2097181                        /lib64/librt-2.12.90.so
3346407000-3346408000 r--p 00007000 fd:01 2097181                        /lib64/librt-2.12.90.so
3346408000-3346409000 rw-p 00008000 fd:01 2097181                        /lib64/librt-2.12.90.so
3346600000-3346615000 r-xp 00000000 fd:01 2097222                        /lib64/libgcc_s-4.5.1-20100924.so.1
3346615000-3346814000 ---p 00015000 fd:01 2097222                        /lib64/libgcc_s-4.5.1-20100924.so.1
3346814000-3346815000 rw-p 00014000 fd:01 2097222                        /lib64/libgcc_s-4.5.1-20100924.so.1
3346e00000-3346e17000 r-xp 00000000 fd:01 2097196                        /lib64/libresolv-2.12.90.so
3346e17000-3347017000 ---p 00017000 fd:01 2097196                        /lib64/libresolv-2.12.90.so
3347017000-3347018000 r--p 00017000 fd:01 2097196                        /lib64/libresolv-2.12.90.so
3347018000-3347019000 rw-p 00018000 fd:01 2097196                        /lib64/libresolv-2.12.90.so
3347019000-334701b000 rw-p 00000000 00:00 0 
3347200000-3347204000 r-xp 00000000 fd:01 2097184                        /lib64/libgthread-2.0.so.0.2600.0
3347204000-3347403000 ---p 00004000 fd:01 2097184                        /lib64/libgthread-2.0.so.0.2600.0
3347403000-3347404000 rw-p 00003000 fd:01 2097184                        /lib64/libgthread-2.0.so.0.2600.0
3347600000-334764c000 r-xp 00000000 fd:01 2097188                        /lib64/libgobject-2.0.so.0.2600.0
334764c000-334784b000 ---p 0004c000 fd:01 2097188                        /lib64/libgobject-2.0.so.0.2600.0
334784b000-334784d000 rw-p 0004b000 fd:01 2097188                        /lib64/libgobject-2.0.so.0.2600.0
334784d000-334784e000 rw-p 00000000 00:00 0 
334ba00000-334ba43000 r-xp 00000000 fd:01 2097233                        /lib64/libdbus-1.so.3.5.2
334ba43000-334bc43000 ---p 00043000 fd:01 2097233                        /lib64/libdbus-1.so.3.5.2
334bc43000-334bc44000 r--p 00043000 fd:01 2097233                        /lib64/libdbus-1.so.3.5.2
334bc44000-334bc45000 rw-p 00044000 fd:01 2097233                        /lib64/libdbus-1.so.3.5.2
334ee00000-334ee16000 r-xp 00000000 fd:01 2097223                        /lib64/libaudit.so.1.0.0
334ee16000-334f015000 ---p 00016000 fd:01 2097223                        /lib64/libaudit.so.1.0.0
334f015000-334f016000 r--p 00015000 fd:01 2097223                        /lib64/libaudit.so.1.0.0
334f016000-334f017000 rw-p 00016000 fd:01 2097223                        /lib64/libaudit.so.1.0.0
334fe00000-334fe03000 r-xp 00000000 fd:01 2097246                        /lib64/libcom_err.so.2.1
334fe03000-3350002000 ---p 00003000 fd:01 2097246                        /lib64/libcom_err.so.2.1
3350002000-3350003000 rw-p 00002000 fd:01 2097246                        /lib64/libcom_err.so.2.1
3350200000-3350221000 r-xp 00000000 fd:01 1844273                        /usr/lib64/libdbus-glib-1.so.2.1.0

Version-Release number of selected component (if applicable):
PyPAM-0.5.0-7.fc14.x86_64


How reproducible:


Steps to Reproduce:
1. run pamtest.py script provided in /usr/share/doc/PyPAM-0.5.0/examples/
2. enter user/pass

  
Actual results:
backtrace from above

Expected results:
exit successfully w/o backtrace

Comment 1 Miroslav Suchý 2011-01-19 09:32:29 UTC
Fixed in PyPAM-0.5.0-8
Thanks to Tomas Mraz for contributing.

Comment 2 Fedora Update System 2011-01-19 09:47:15 UTC
PyPAM-0.5.0-8.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PyPAM-0.5.0-8.fc14

Comment 3 Fedora Update System 2011-01-19 09:48:08 UTC
PyPAM-0.5.0-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/PyPAM-0.5.0-8.el6

Comment 4 Tomas Mraz 2011-01-19 16:07:42 UTC
*** Bug 670867 has been marked as a duplicate of this bug. ***

Comment 5 Tomas Mraz 2011-01-19 16:08:35 UTC
The patch was not applied correctly in the package.

Comment 6 Miroslav Suchý 2011-01-19 16:55:03 UTC
Fixed in PyPAM-0.5.0-9

Comment 7 Fedora Update System 2011-01-27 21:00:13 UTC
PyPAM-0.5.0-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-02-07 17:55:23 UTC
PyPAM-0.5.0-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-02-22 08:37:46 UTC
PyPAM-0.5.0-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/PyPAM-0.5.0-8.el5


Note You need to log in before you can comment on or make changes to this bug.